Get Protected Database Restore Information
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/zdlra/{raTargetId}/protectedDatabases/{protectedDatabaseUniqueName}/restoreInfo
Get restore information for a protected database on a Recovery Appliance.
Request
Path Parameters
-
protectedDatabaseUniqueName(required): string
Protected database unique name.Example:
PROTDB1 -
raTargetId(required): string
Recovery Appliance Target id.Example:
F76BBCCBD8A0D4719A8AA588375FA8BE
Header Parameters
-
ORCL-EM-ZDLRATARGET-AUTHORIZATION(required): string
Recovery Appliance Administrator Credentials. The format must be NAMED:
(e.g. NAMED:ORSADMIN) or PREFERRED: (e.g. PREFERRED:PREF_ORSADMIN). If no value is specified, the system will use preferred credentials. Example:NAMED:ORSADMIN
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful Operation
Root Schema : ProtectedDatabaseRestoreInfo
Type:
objectCollection of protected database restore information.
Show Source
-
items(required): array
items
List of protected database restore information objects.
Match All
Collection of protected database restore information.
Show Source
-
object
CommonProperties
Collection of summary objects.
Nested Schema : items
Type:
arrayList of protected database restore information objects.
Show Source
-
Array of:
object RestoreInfoSummary
Restore information of a protected database.
Nested Schema : CommonProperties
Type:
objectCollection of summary objects.
Show Source
-
count(required): integer
Count of summary objects in this page.Example:
1 -
links(required): object
links
Navigation links.
-
nextPage: string
For pagination of a list of items. When paging through a list, if this value appears in the response, then there are additional items still to get. Include this value as the page parameter for the subsequent "List" request.
Nested Schema : RestoreInfoSummary
Type:
objectRestore information of a protected database.
Show Source
-
highTime: string
High time of the restore range. Format will be YYYY-MM-DDTHH:mm:ssZ in UTC timezone.
-
lowTime: string
Low time of the restore range. Format will be YYYY-MM-DDTHH:mm:ssZ in UTC timezone.
-
protectedDatabaseName: string
Protected database unique name.
-
protectedDatabaseTimeZone: string
Protected database time zone.
-
restorePointNames: array
restorePointNames
Restore point names.
-
restorePointScns: array
restorePointScns
Restore SCNs.
Nested Schema : links
Type:
objectNavigation links.
Show Source
-
next: object
Link
A link
-
self: object
Link
A link
400 Response
Bad Request.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
401 Response
Unauthorized.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
403 Response
Forbidden.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
404 Response
Not Found.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
500 Response
Internal Server Error.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
503 Response
Service Unavailable
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty